<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geronimo-plugin xmlns="http://geronimo.apache.org/xml/ns/plugins-1.3" xmlns:ns2="http://geronimo.apache.org/xml/ns/attributes-1.2">
    <name>Geronimo Plugins, OpenEJB :: OpenEJB</name>
    <category>EJB Container</category>
    <pluginGroup>false</pluginGroup>
    <description>Geronimo integration of the OpenEJB  ejb container.</description>
    <url>http://geronimo.apache.org/</url>
    <author>The Apache Geronimo development community</author>
    <license osi-approved="true">The Apache Software License, Version 2.0</license>
    <plugin-artifact>
        <module-id>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>openejb</artifactId>
            <version>2.2</version>
            <type>car</type>
        </module-id>
        <geronimo-version>2.2</geronimo-version>
        <jvm-version>1.5</jvm-version>
        <jvm-version>1.6</jvm-version>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>j2ee-server</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>server-security-config</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>transaction</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>system-database</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-core</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-api</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-loader</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-javaagent</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-jee</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.xbean</groupId>
            <artifactId>xbean-asm-shaded</artifactId>
            <version>3.6</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.codehaus.swizzle</groupId>
            <artifactId>swizzle-stream</artifactId>
            <version>1.0.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>quartz</groupId>
            <artifactId>quartz</artifactId>
            <version>1.5.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-openejb</artifactId>
            <version>2.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-ejbd</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-server</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-client</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-multicast</artifactId>
            <version>3.1.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>openjpa</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.yoko</groupId>
            <artifactId>yoko-spec-corba</artifactId>
            <version>1.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>webservices-common</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.plugins.classloaders</groupId>
            <artifactId>xbean-finder</artifactId>
            <version>2.2</version>
            <type>car</type>
        </dependency>
        <source-repository>~/.m2/repository/</source-repository>
        <source-repository>http://repo1.maven.org/maven2/</source-repository>
        <source-repository>http://repository.apache.org/snapshots/</source-repository>
        <copy-file relative-to="geronimo" dest-dir="">schema</copy-file>
        <config-xml-content>
            <ns2:gbean name="EJBNetworkService">
                <ns2:attribute name="port">${OpenEJBPort + PortOffset}</ns2:attribute>
                <ns2:attribute name="host">${ServerHostname}</ns2:attribute>
                <ns2:attribute name="multicastHost">${MulticastDiscoveryAddress}</ns2:attribute>
                <ns2:attribute name="multicastPort">${MulticastDiscoveryPort}</ns2:attribute>
                <ns2:attribute name="clusterName">${ClusterName}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultStatefulContainer">
                <ns2:attribute name="timeout">${StatefulTimeout}</ns2:attribute>
                <ns2:attribute name="capacity">${Capacity}</ns2:attribute>
                <ns2:attribute name="bulkPassivate">${BulkPassivate}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultSingletonContainer">
                <ns2:attribute name="accessTimeout">${AccessTimeout}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultBMPContainer">
                <ns2:attribute name="poolSize">${BMPPoolSize}</ns2:attribute>
            </ns2:gbean>
            <ns2:gbean name="DefaultStatelessContainer">
                <ns2:attribute name="timeout">${StatelessTimeout}</ns2:attribute>
                <ns2:attribute name="poolSize">${StatelessPoolSize}</ns2:attribute>
                <ns2:attribute name="strictPooling">${StrictPooling}</ns2:attribute>
            </ns2:gbean>
        </config-xml-content>
        <artifact-alias key="org.apache.geronimo.configs/openejb//car">org.apache.geronimo.configs/openejb/2.2/car</artifact-alias>
        <config-substitution key="OpenEJBPort">4201</config-substitution>
        <config-substitution key="StatefulTimeout">20</config-substitution>
        <config-substitution key="Capacity">1000</config-substitution>
        <config-substitution key="BulkPassivate">100</config-substitution>
        <config-substitution key="AccessTimeout">30</config-substitution>
        <config-substitution key="BMPPoolSize">10</config-substitution>
        <config-substitution key="StatelessTimeout">0</config-substitution>
        <config-substitution key="StatelessPoolSize">10</config-substitution>
        <config-substitution key="StrictPooling">true</config-substitution>
        <config-substitution key="MulticastDiscoveryAddress">239.255.3.2</config-substitution>
        <config-substitution key="MulticastDiscoveryPort">6142</config-substitution>
        <config-substitution key="ClusterName">cluster1</config-substitution>
    </plugin-artifact>
</geronimo-plugin>
